Create a skill
curl --request POST \
--url https://api.neoagent.io/public-api/skills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"description": "Monthly license true-ups. Use when reconciling agreements vs device counts.",
"files": [
{
"content": "## When to use\nReconcile licenses monthly.\n\n## Steps\nRun scripts/reconcile.py.",
"path": "SKILL.md"
},
{
"content": "print('reconcile')\n",
"path": "scripts/reconcile.py"
}
],
"name": "License true-up",
"slug": "license-true-up",
"source_run_id": "24183-0512"
}
EOFimport requests
url = "https://api.neoagent.io/public-api/skills"
payload = {
"description": "Monthly license true-ups. Use when reconciling agreements vs device counts.",
"files": [
{
"content": "## When to use
Reconcile licenses monthly.
## Steps
Run scripts/reconcile.py.",
"path": "SKILL.md"
},
{
"content": "print('reconcile')
",
"path": "scripts/reconcile.py"
}
],
"name": "License true-up",
"slug": "license-true-up",
"source_run_id": "24183-0512"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Monthly license true-ups. Use when reconciling agreements vs device counts.',
files: [
{
content: '## When to use\nReconcile licenses monthly.\n\n## Steps\nRun scripts/reconcile.py.',
path: 'SKILL.md'
},
{content: 'print(\'reconcile\')\n', path: 'scripts/reconcile.py'}
],
name: 'License true-up',
slug: 'license-true-up',
source_run_id: '24183-0512'
})
};
fetch('https://api.neoagent.io/public-api/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"description": "<string>",
"files": [
{
"content": "<string>",
"id": "<string>",
"path": "<string>",
"version": 123
}
],
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"source_run_id": "<string>",
"updated_at": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timings_ms": {},
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Skills
Create a skill
Create a tenant skill from a full set of files. Must include a SKILL.md file.
POST
/
public-api
/
skills
Create a skill
Authorizations
Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).
Body
application/json
⌘I
